### Struct

# Gsk ShaderArgsBuilder

deprecated: 4.16

#### Description [src]

    struct GskShaderArgsBuilder {
      /* No available fields */
    }

Builds the uniforms data for a `GskGLShader`.

Deprecated since: 4.16.

Please do not use it in newly written code.

#### Constructors

###### gsk_shader_args_builder_new

Allocates a builder that can be used to construct a new uniform data chunk.

deprecated: 4.16

#### Instance methods

###### gsk_shader_args_builder_free_to_args

Creates a new `GBytes` args from the current state of the given `builder`, and frees the `builder` instance.

deprecated: 4.16

###### gsk_shader_args_builder_ref

Increases the reference count of a `GskShaderArgsBuilder` by one.

deprecated: 4.16

###### gsk_shader_args_builder_set_bool

Sets the value of the uniform `idx`.

deprecated: 4.16

###### gsk_shader_args_builder_set_float

Sets the value of the uniform `idx`.

deprecated: 4.16

###### gsk_shader_args_builder_set_int

Sets the value of the uniform `idx`.

deprecated: 4.16

###### gsk_shader_args_builder_set_uint

Sets the value of the uniform `idx`.

deprecated: 4.16

###### gsk_shader_args_builder_set_vec2

Sets the value of the uniform `idx`.

deprecated: 4.16

###### gsk_shader_args_builder_set_vec3

Sets the value of the uniform `idx`.

deprecated: 4.16

###### gsk_shader_args_builder_set_vec4

Sets the value of the uniform `idx`.

deprecated: 4.16

###### gsk_shader_args_builder_to_args

Creates a new `GBytes` args from the current state of the given `builder`.

deprecated: 4.16

###### gsk_shader_args_builder_unref

Decreases the reference count of a `GskShaderArgBuilder` by one.

deprecated: 4.16